Subject: Re: BCM4313 & brcmsmac & 3.12: only semi-working?

From: Seth Forshee <[email-masked]>
Date: Tue, 23 Sep 2014 09:31:24 -0500

On Tue, Sep 23, 2014 at 06:28:54PM +0400, Michael Tokarev wrote:
> 23.09.2014 18:25, Michael Tokarev wrote:
> > 23.09.2014 17:50, Arend van Spriel wrote:
> >> On 09/23/14 15:44, Seth Forshee wrote:
> []
> >>> It's been quite some time since I used them, but I think brcmsmac_tx is
> >>> quite noisy so you may only want to enable that if you already suspect a
> >>> tx problem. I always find it useful to enable the mac80211 and
> >>> mac80211_msg events too when debugging wireless, and I often enable
> >>> cfg80211 events as well (none of these are especially verbose).
> 
> mac80211_msg does not exist, it looks like.  fwiw.

Did you check your kernel's config? You need to have
CONFIG_MAC80211_MESSAGE_TRACING enabled.

Seth